A = [5,1,2; ...
     1,6,3;
     2,3,7];

b = [1;2;3];

x0 = [1;1;1];

## Solved over the rationals.
expected = [2/73; 11/73; 26/73];
actual = conjugate_gradient_method(A, b, x0, 1e-6, 1000);
diff = norm(actual - expected);

unit_test_equals("CGM works on an example", ...
		 true, ...
		 norm(diff) < 1e-6);
